Bug 1320647 - rhn channels 'rhel-ARCH-workstation-6-thirdparty-oracle-java-beta' should maps to the Beta product cert, not the GA cert.
Summary: rhn channels 'rhel-ARCH-workstation-6-thirdparty-oracle-java-beta' should map...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 17:08 UTC by John Sefler
Modified: 2017-03-21 10:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:54:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description John Sefler 2016-03-23 17:08:11 UTC
Description of problem:

RHN RHEL Beta Channel 'rhel-i386-workstation-6-thirdparty-oracle-java-beta' maps to the following product cert that matches this RHEL dot release '6.8': name='Oracle Java (for RHEL Workstation)' id='244' version='6.8' arch='i386' providedTags='rhel-6-workstation-oraclejava,rhel-6-oraclejava' expected:<6.8 Beta> but was:<6.8>

RHN RHEL Beta Channel 'rhel-x86_64-workstation-6-thirdparty-oracle-java-beta' maps to the following product cert that matches this RHEL dot release '6.8': name='Oracle Java (for RHEL Workstation)' id='244' version='6.8' arch='x86_64' providedTags='rhel-6-workstation-oraclejava,rhel-6-oraclejava' expected:<6.8 Beta> but was:<6.8>

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.27-1.el6.noarch

How reproducible:


Steps to Reproduce:
--------------------------
[root@jsefler-6 ~]# grep "rhel-x86_64-workstation-6-thirdparty-oracle-java-beta" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-workstation-6-thirdparty-oracle-java-beta: Workstation-OracleJava-x86_64-88693fe630c8-244.pem
[root@jsefler-6 ~]# 
[root@jsefler-6 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-6/Workstation-OracleJava-x86_64-88693fe630c8-244.pem | grep "Product:" -A8
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 6.8
	Arch: x86_64
	Tags: rhel-6-workstation-oraclejava,rhel-6-oraclejava
	Brand Type: 
	Brand Name: 

Expected results:
	Version: 6.8 Beta  <=====  EXPECTED

Expected "Beta" in the product cert version since rhel-x86_64-workstation-6-thirdparty-oracle-java-beta is a beta channel.

--------------------------
[root@jsefler-6 ~]# grep "rhel-i386-workstation-6-thirdparty-oracle-java-beta" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-i386-workstation-6-thirdparty-oracle-java-beta: Workstation-OracleJava-i386-8decb553b5c4-244.pem
[root@jsefler-6 ~]# 
[root@jsefler-6 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-6/Workstation-OracleJava-i386-8decb553b5c4-244.pem | grep "Product:" -A8
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 6.8
	Arch: i386
	Tags: rhel-6-workstation-oraclejava,rhel-6-oraclejava
	Brand Type: 
	Brand Name: 

Expected results:
	Version: 6.8 Beta  <=====  EXPECTED

Expected "Beta" in the product cert version since rhel-i386-workstation-6-thirdparty-oracle-java-beta is a beta channel.




Additional info:
Before this bug can be fixed in subscription-manager-migration-data, an upstream fix to http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json must be done by Release Engineering.


    "rhel-i386-workstation-6-thirdparty-oracle-java": {
        "Product Cert CN": "Red Hat Product ID [28a13fc3-b4dd-4368-8f15-8decb553b5c4]", 
        "Product Cert file": "/rhel-6.8-beta/Workstation-OracleJava-i386-8decb553b5c4-244.pem", 
                               ^^^^^^^^^^^^^
                               THIS LOOKS WRONG for a non-beta channel
        "Product ID": "244"
    }, 
    "rhel-i386-workstation-6-thirdparty-oracle-java-beta": {
        "Product Cert CN": "Red Hat Product ID [28a13fc3-b4dd-4368-8f15-8decb553b5c4]", 
        "Product Cert file": "/rhel-6.8-beta/Workstation-OracleJava-i386-8decb553b5c4-244.pem", 
                               ^^^^^^^^^^^^^
                               THIS LOOKS CORRECT, HOWEVER, THE Workstation-OracleJava-i386-8decb553b5c4-244.pem IS NOT HAVE "BETA" IN THE VERSION
        "Product ID": "244"
    }, 

Open http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids/rhel-6.8-beta/Workstation-OracleJava-i386-8decb553b5c4-244-ext.txt and you will see...
[244]
basicConstraints=CA:FALSE

1.3.6.1.4.1.2312.9.1.244.1=ASN1:UTF8:Oracle Java (for RHEL Workstation)
1.3.6.1.4.1.2312.9.1.244.2=ASN1:UTF8:6.8   <======= EXPECTED 6.8 Beta
1.3.6.1.4.1.2312.9.1.244.3=ASN1:UTF8:i386
1.3.6.1.4.1.2312.9.1.244.4=ASN1:UTF8:rhel-6-workstation-oraclejava,rhel-6-oraclejava



The same upstream error exists for the x86_64 arch.

Comment 3 John Sefler 2017-02-13 17:59:32 UTC
Re-testing Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.33-1.el6.noarch

--------------------------
[root@jsefler-rhel6 ~]# grep "rhel-x86_64-workstation-6-thirdparty-oracle-java-beta" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-workstation-6-thirdparty-oracle-java-beta: Workstation-OracleJava-x86_64-09bfc5b1930b-244.pem
[root@jsefler-rhel6 ~]# 
[root@jsefler-rhel6 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-6/Workstation-OracleJava-x86_64-09bfc5b1930b-244.pem | grep "Product:" -A8
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 6.9 Beta
	Arch: x86_64
	Tags: rhel-6-workstation-oraclejava,rhel-6-oraclejava
	Brand Type: 
	Brand Name: 

VERIFIED: Version: 6.9 Beta

--------------------------
[root@jsefler-rhel6 ~]# grep "rhel-i386-workstation-6-thirdparty-oracle-java-beta" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-i386-workstation-6-thirdparty-oracle-java-beta: Workstation-OracleJava-i386-008dc1092ba6-244.pem
[root@jsefler-rhel6 ~]# 
[root@jsefler-rhel6 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-6/Workstation-OracleJava-i386-008dc1092ba6-244.pem | grep "Product:" -A8
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 6.9 Beta
	Arch: i386
	Tags: rhel-6-workstation-oraclejava,rhel-6-oraclejava
	Brand Type: 
	Brand Name: 

VERIFIED: Version: 6.9 Beta

This bug appears fixed in subscription-manager-migration-data-2.0.33-1.el6.noarch

Comment 5 John Sefler 2017-02-16 19:03:37 UTC
Verifying Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.34-1.el6.noarch

--------------------------
[root@jsefler-rhel6 ~]# grep "rhel-x86_64-workstation-6-thirdparty-oracle-java-beta" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-workstation-6-thirdparty-oracle-java-beta: Workstation-OracleJava-x86_64-09bfc5b1930b-244.pem
[root@jsefler-rhel6 ~]# 
[root@jsefler-rhel6 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-6/Workstation-OracleJava-x86_64-09bfc5b1930b-244.pem | grep "Product:" -A8
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 6.9 Beta
	Arch: x86_64
	Tags: rhel-6-workstation-oraclejava,rhel-6-oraclejava
	Brand Type: 
	Brand Name: 

VERIFIED: Version: 6.9 Beta

--------------------------
[root@jsefler-rhel6 ~]# grep "rhel-i386-workstation-6-thirdparty-oracle-java-beta" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-i386-workstation-6-thirdparty-oracle-java-beta: Workstation-OracleJava-i386-008dc1092ba6-244.pem
[root@jsefler-rhel6 ~]# 
[root@jsefler-rhel6 ~]# rct cat-cert /usr/share/rhsm/product/RHEL-6/Workstation-OracleJava-i386-008dc1092ba6-244.pem | grep "Product:" -A8
Product:
	ID: 244
	Name: Oracle Java (for RHEL Workstation)
	Version: 6.9 Beta
	Arch: i386
	Tags: rhel-6-workstation-oraclejava,rhel-6-oraclejava
	Brand Type: 
	Brand Name: 

VERIFIED: Version: 6.9 Beta

Comment 7 errata-xmlrpc 2017-03-21 10:54:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.